# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger Class Reference

`#include <PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger.hxx>`

Inheritance diagram for PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger ()
Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger (const Handle(PColStd_HArray1OfInteger)&aValue)
Standard_EXPORT void | SetValue (const Handle(PColStd_HArray1OfInteger)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger (const Storage_stCONSTclCOM &a)
| Handle (PColStd_HArray1OfInteger) _CSFDB_GetPDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfIntegermyValue() const
void | _CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfIntegermyValue (const Handle(PColStd_HArray1OfInteger)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColStd_HArray1OfInteger | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger | ( |  | ) |

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger | ( | const Handle(PColStd_HArray1OfInteger)& | aValue | ) |

PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::_CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfIntegermyValue | ( | const Handle(PColStd_HArray1OfInteger)& | p | ) | `[inline]`

Standard_EXPORT const PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::Handle | ( | PColStd_HArray1OfInteger |  | ) | const`[inline]`

Standard_EXPORT void PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::SetValue | ( | const Handle(PColStd_HArray1OfInteger)& | aValue | ) |

Standard_EXPORT Standard_Address PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::Value | ( |  | ) | const

## Field Documentation

Handle_PColStd_HArray1OfInteger PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_VArrayNodeOfFieldOfHArray1OfHArray1OfInteger.hxx